chmsee不能打开.chm文件

上网、浏览、聊天、下载等
回复
ironsun752
帖子: 8
注册时间: 2008-05-25 16:06
送出感谢: 0
接收感谢: 0

chmsee不能打开.chm文件

#1

帖子 ironsun752 » 2008-06-02 20:25

ubuntu8.04下,
sudo apt-get install chmsee
安装完后,用chmsee查看.chm格式的文件,结果一点反应都没有。怎么回事啊?
头像
River Zhu
帖子: 30
注册时间: 2008-05-22 8:58
送出感谢: 0
接收感谢: 0

#2

帖子 River Zhu » 2008-06-02 20:58

代码: 全选

cd /usr/lib
sudo ln -s xulrunner-1.9b5/libxul.so libxul.so
sudo ln -s xulrunner-1.9b5/libxpcom.so libxpcom.so
sudo ln -s xulrunner-1.9b5/libsqlite3.so libsqlite3.so
sudo ln -s xulrunner-1.9b5/libmozjs.so libmozjs.so
注:系统升级时,如果xulrunner版本有变化,同样会导致chmsee无法运行,查看/usr/lib中的xulrunner的版本。以便使上面的四个链接有效。如果因为版本号的不一致导致无法运行,可以先删除软链接,再按上面的四条命令重建链接。
然后运行正常。

以后有问题,先google,再百度,没办法了,再来这里问,很多问题都有现成的答案,为什么不去找呢?
IBM X24
CPU 1.13G
Memory 384M
HD 80G/7200RPM
Xubuntu
Archlinux
头像
mawith
帖子: 1289
注册时间: 2007-10-21 16:41
来自: GD
送出感谢: 0
接收感谢: 0

#3

帖子 mawith » 2008-06-03 1:48

查了一下版本号。。终于把它弄好了。。。细节要多多注意才行。。
给像我一样的新手。。删除ln -s 链接方法如下。。

代码: 全选

cd /usr/lib
sudo rm libxul.so
sudo rm libxpcom.so
sudo rm libsqlite3.so
sudo rm libmozjs.so
接着。再:( xulrunner-1.9是更新后的版本号)

代码: 全选

cd /usr/lib
sudo ln -s xulrunner-1.9/libxul.so libxul.so
sudo ln -s xulrunner-1.9/libxpcom.so libxpcom.so
sudo ln -s xulrunner-1.9/libsqlite3.so libsqlite3.so
sudo ln -s xulrunner-1.9/libmozjs.so libmozjs.so
吼吼
头像
Hauran
帖子: 18
注册时间: 2008-06-29 20:59
送出感谢: 0
接收感谢: 0

#4

帖子 Hauran » 2008-07-05 15:30

谢谢,真的很经典!受用啦!
回复

回到 “因特网相关软件”